import picamera, os, random
import pipan
import requests, json
import cv2
import numpy
import base64
import serial
from requests.auth import HTTPBasicAuth
from time import sleep
from PIL import Image, ImageDraw
#import json
#with open('data.txt', 'w') as outfile:
    #json.dump(r, outfile)
    
    #source: Nanonets.com documentation section
    #we looked into the documentation to understand how to incoporate our model
    #and API key 
    
    #we were motivated to use Nanonets due to a Deep Learning article's recommendation
    #The Medium's website had an article that discusses nanonets and
    #machine learning with raspberry pi in depth
    #the foundation of our project was inspired by this article and from there
    #we learned through trial and error
    
ser = serial.Serial('/dev/ttyACM0', 9600)

model_id = os.environ.get('NANONETS_MODEL_ID')
api_key = os.environ.get('NANONETS_API_KEY')

#capture an image


def looking_object():

    print('searching...')
    #global ser

    print(ser.read())
    if ser.read() == '1':
	print('lets go')
        camera = picamera.PiCamera()
        camera.rotation = 180
        camera.capture('/home/pi/Desktop/object-detection-sample-python-master/code/piimage.jpg')
        print('image has been captured yo')

        #credit to Rodger Luo
        #we looked at previous examples to incoporate pipan and picamera
        
        p = pipan.PiPan()

        p.neutral_pan()
        p.neutral_tilt()

        PAN_MIN_POS = 120
        PAN_MAX_POS = 180

        TILT_MIN_POS = 90
        TILT_MAX_POS = 200

        #make a prediction on the image



        for n in range(20):

            index = 0

            im = Image.open("piimage.jpg")
            im.save("images/image" + str(n) + ".jpg")
            # os.system("xdg-open image2.jpg")
            
    else:
	print('keep looking')    
    #exit()
    
    
def main():

	raw_input("press enter to start searching")
	print 'Search Begin!'

	# Infinite Loop
	while True:
		looking_object()

if __name__ == '__main__':
    main(